#!/bin/sh
fileName="gentest_swl_map${1}.c"
rm -f $fileName
echo "// Autogenerated by $(basename $0)" >> $fileName
cat test_swl_mapHeader.c >> $fileName
cat test_swl_mapData_${1}.c >> $fileName
cat test_swl_mapBody.c >> $fileName
sed -i 's,swl_mapGeneric,swl_map'${1}',g' $fileName